### Function

# GLib Hook destroy_link

#### Declaration

    void
    g_hook_destroy_link (
      GHookList* hook_list,
      GHook* hook
    )

#### Description

Removes one `GHook` from a `GHookList`, marking it inactive and calling `g_hook_unref()` on it.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The `GHook` to remove.

  The data is owned by the caller of the function.